Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant.jmx
Class Arg

    java.lang.Object
      org.apache.catalina.ant.jmx.Arg

public class Arg
extends java.lang.Object

Since:
  5.5.10
Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Peter Rossbach

Constructor Summary
`Arg()`

Method Summary
`void` | `addText(java.lang.String text)`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Arg

    public Arg()

Method Detail

### setName

    public void setName(java.lang.String name)

### setType

    public void setType(java.lang.String type)

### setValue

    public void setValue(java.lang.String value)

### addText

    public void addText(java.lang.String text)

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### getType

    public java.lang.String getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.